Ubuntu

Cracking noise on Canon lide30, possibility for hardware failure

Reported by Antti Miranto on 2007-02-08
62
This bug affects 9 people
Affects Status Importance Assigned to Milestone
sane-backends
Unknown
Unknown
sane-backends (Ubuntu)
High
Unassigned

Bug Description

When I try to use Xsane, scanner initializes fine, but when scanning should start it makes loud cracking noise like trying to move reading head to wrong direction. This same problem appeared in Dapper and Edgy with all updates.

I'm quite sure that this could lead to broking the scanner permanently.

Then I downgraded the libsane package to 1.0.15-9 from Debian and scanner works fine.

Used version: libsane 1.0.18-3ubuntu API library for scanners
Known good: libsane 1.0.15-9 API library for scanners

I think this bug is critical to Canon lide30 owners rendering libsane dangerous to hardware!

Rolf Leggewie (r0lf) wrote :

any relation between bug 87754 and bug 83957?

rpaco (rpa-rpaco) wrote :

I have same problem on my Canon N670U, I am also pretty sure it is driving backwards against stop, or trying a "return/park" before scan.

If this downgrading of libs works, please advise how to do it, or point me in right direction in the forum. Also how to stop auto upgrading/updating.
I know this should be in forum, but all refs in forum do not work. (Including Scannbuttond fix) Please advise thread in forum if you have posted it there or by email to me at <email address hidden>.
Many thanks

On Sat, 15 Sep 2007, Rolf Leggewie wrote:

Sorry for my late response, my ADSL-modeem was in repair service :(

And sorry if you got these twice. I forgot to change From-header!

> any relation between bug 87754 and bug 83957?

Maybe, in #87754 scanner still worked in first scan, but in my case it go
directly to craking noise. I didn't have bravery to wait what would hapen
for the next.

: For rpaco

If this downgrading of libs works, please advise how to do it, or point
me in right direction in the forum. Also how to stop auto
upgrading/updating.

# Commands you should execute

# install sane-utils if not installed
sudo apt-get update
sudo apt-get install sane-utils

# Get libsane
# http://packages.debian.org/sarge/libsane
# Get the i386 or amd64 depending your architecture
# (Or get it from Ubuntu repository, note the md5sum difference!)

# check the md5sum
# Use your eyeballs for checking this will only produce numbers!
# More about MD5sum: http://tinyurl.com/2r4lfs
md5sum libsane_1.0.15-9_i386.deb

# should be 4fc2ea8b7f5dbcc44d46ab72916356e4
# if not download again

# install the package
# you will get some warning for downgradeing the package
sudo dpkg -i libsane_1.0.15-9_i386.deb

# Set the package to hold so it won't be upgaden in the next upgrade
# This will stick the package

sudo echo "libsane hold" | dpkg --set-selections

# To release it use
# sudo echo "libsane install" | dpkg --set-selections

# And finalize install by
sudo echo -e '\n\nHappy Scanning rpaco!\n\n'

--
Cracking noise on Canon lide30, possibility to hardware failure
https://bugs.launchpad.net/bugs/83957
You received this bug notification because you are a direct subscriber
of the bug.

--
Antti Miranto | http://www.antti.miranto.fi

Make something idiot proof
and the world will come up with a better idiot.

Using a CanoScan LiDE 20, I have a similar problem. Often immediately before or immediately after scanning (via scanimage, not Xsane), the slider freezes making horrible loud noises, not unlike what Antti Miranto describes.
Downgrading libsane to 1.0.15-9 appears to solve it too.

Fibonacci (fibonacci-prower) wrote :

The CVS SANE backends from October 24 work fine with my scanner - perhaps they will work with your LiDE 30?

Ran.Rutenberg (ran-rutenberg) wrote :

Downgrading libsane to 1.0.15-9 solved the problems I was having with my CanoScan N650U. Thanks.

Same still happens (Canon N650U) with libsane 1.0.19 in Ubuntu Gutsy

Rolf Leggewie (r0lf) wrote :

Confirming due to numerous reports. Further confirmation by the fact that this seems to be a regression fixable by downgrading. Setting to high importance as it looks like it can damage hardware.

Can anybody who is experiencing this please try a hardy install or live CD to see if the problem has been resolved there?

Changed in sane-backends:
importance: Undecided → High
status: New → Confirmed
Antti Miranto (software-antti) wrote :

I have now tried with Hardy, with strange results. It worked sometimes, but other times (still) the cracking noise appeared. Now I tested it more thoroughly so I'm not sure if anything has changed. In year 2007 it seemed not to work at all, but then I didn't "push" it as hard as this time.

I tried Ubuntu Hardy RC 8.04 Live CD for four cold boots and also disconnected the scanner while the machine was down.

Scanner worked most of the time, but on every boot with enough tries it made the cracking noise at least once. With two boots it was the first try it made the noise. Then I closed the xsane and tried again and it worked, but whithin about 20 scans it made the noise again.

I also tried to disconnect the scanner and plug it to other USB-port while machine was running (xsane was not) and it didn't change a thing.

-Antti

Rolf Leggewie (r0lf) on 2008-04-23
Changed in sane-backends:
status: Confirmed → Triaged
Mike (bild85) wrote :

I found this page because I too was hearing a 'grinding' noise while trying to scan from an HP scanner. Turns out I accidentally slid the 'lock' mechanism to lock. I unlocked the head, and it scanned normally. :-P

Well, I'm sure that was not our problem. I have accidentally scanned with
the lock on, and the noise wasn't nearly as loud.

2008/10/31 itismike <email address hidden>

> I found this page because I too was hearing a 'grinding' noise while
> trying to scan from an HP scanner. Turns out I accidentally slid the
> 'lock' mechanism to lock. I unlocked the head, and it scanned normally.
> :-P
>
> --
> Cracking noise on Canon lide30, possibility to hardware failure
> https://bugs.launchpad.net/bugs/83957
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
$0='!/msfQ0yjoV!fe!sfldbi!psup!pmpT'x19xor print+map{("\e[7m \e[0m",
chr ord(chop$0)-1)[$_].("\n")[++$i%72]}split//,unpack'B*',pack'H*',(
$P='F'x18)."8186078739E1F0F0E19FCF333319CCE6667383CF0733099E67E7F39"
."FCF3333218067E7F39FCF3333319E6666739F860787399E70F0E1$P"#Perl rulz

Having the same problem on my Canon N650U with Intrepid.

# uname -a
Linux mypc 2.6.27-11-generic #1 SMP Thu Jan 29 19:24:39 UTC 2009 i686 GNU/Linux

It happens to me from time to time, either just before or just after completing a scan. The bar starts grinding like it's moving back and forth a fraction of a centimeter very quickly. The light on the scan head is on, as if it's trying to scan instead of just move back to park.

Interestingly enough, I can load up virtualbox where I've got an XP install, and scan in there over and over and it never fails.

description: updated
Changed in sane-backends:
assignee: nobody → ubuntu-foundations
Changed in sane-backends:
assignee: ubuntu-foundations → scott
Changed in sane-backends:
assignee: scott → pitti
Martin Pitt (pitti) wrote :

Can you reproduce this problem on current Ubuntu 9.04 still? If so, open a terminal and check if this reproduces it:

   SANE_DEBUG_GENESYS=255 scanimage > /tmp/scan.png 2>/tmp/debug.log

please attach /tmp/debug.log here if this reproduces it. If it only occurs sometimes, please attach two versions of debug.log, one with the cracking noise and one without. Thank you!

Changed in sane-backends (Ubuntu):
status: Triaged → Incomplete
Download full text (4.4 KiB)

Good day, Martin!

I ran the command and it definitely reproduced it. The log may be trucated
as I unplug the usb as soon as I hear that aweful grinding noise. I've
included the log for reference:

/tmp/debug.log:
[sanei_debug] Setting debug level of genesys to 255.
[genesys] SANE Genesys backend version 1.0 build 9 from sane-backends 1.0.19
[genesys] sane_init: authorize != null
[genesys] sane_init: little endian machine
[genesys] sane_init: reading config file `genesys.conf'
[genesys] sane_init: config file line 1: ignoring comment line
[genesys] sane_init: config file line 2: ignoring empty line
[genesys] sane_init: config file line 3: ignoring comment line
[genesys] sane_init: config file line 4: ignoring comment line
[genesys] sane_init: config file line 5: ignoring comment line
[genesys] sane_init: config file line 6: ignoring comment line
[genesys] sane_init: config file line 7: ignoring empty line
[genesys] sane_init: config file line 8: ignoring comment line
[genesys] sane_init: config file line 9: ignoring comment line
[genesys] sane_init: config file line 10: ignoring empty line
[genesys] sane_init: config file line 11: ignoring comment line
[genesys] sane_init: config file line 12: ignoring comment line
[genesys] sane_init: config file line 13: ignoring empty line
[genesys] sane_init: config file line 14: ignoring comment line
[genesys] sane_init: config file line 15: ignoring comment line
[genesys] sane_init: config file line 16: ignoring empty line
[genesys] sane_init: config file line 17: ignoring comment line
[genesys] sane_init: config file line 18: ignoring comment line
[genesys] sane_init: config file line 19: ignoring empty line
[genesys] sane_init: config file line 20: ignoring empty line
[genesys] sane_init: config file line 21: ignoring comment line
[genesys] sane_init: config file line 22: ignoring comment line
[genesys] sane_init: config file line 23: ignoring comment line
[genesys] sane_init: config file line 24: ignoring empty line
[genesys] sane_init: config file line 25: ignoring comment line
[genesys] sane_init: config file line 26: trying to attach `usb 0x0461
0x0377'
[genesys] sane_init: config file line 27: ignoring empty line
[genesys] sane_init: config file line 28: ignoring comment line
[genesys] sane_init: config file line 29: trying to attach `usb 0x03f0
0x0901'
[genesys] sane_init: config file line 30: ignoring empty line
[genesys] sane_init: config file line 31: ignoring comment line
[genesys] sane_init: config file line 32: trying to attach `usb 0x04a9
0x2213'
[genesys] sane_init: config file line 33: ignoring empty line
[genesys] sane_init: config file line 34: ignoring comment line
[genesys] sane_init: config file line 35: trying to attach `usb 0x04a9
0x221c'
[genesys] sane_init: exit
[genesys] sane_get_devices: start: local_only = false
[genesys] sane_get_devices: exit
scanimage: sane_read: Operation was cancelled
[genesys] sane_exit: start
[genesys] sane_exit: exit

Thank you again for your help!

--Clinton

On Tue, Jun 23, 2009 at 2:43 AM, Martin Pitt <email address hidden> wrote:

> Can you reproduce this problem on current Ubuntu 9.04 still? If so, open
> a terminal and check if this repr...

Read more...

Martin Pitt (pitti) on 2009-07-29
Changed in sane-backends (Ubuntu):
status: Incomplete → New
Martin Pitt (pitti) wrote :

Thank you! Unfortunately the debug output looks inconclusive. I forwarded the bug upstream now and asked for more instructions how to debug this. I'll report back here once an answer arrives.

Changed in sane-backends (Ubuntu):
assignee: Martin Pitt (pitti) → nobody
CharleyPickrell (charleypick) wrote :

I don't know if this is helpful but this affecting my LIDE30 in Linux Mint (Ubuntu) and in an OS X (BSD) build by Mattias. The LIDE30 is using the plustek driver. http://www.ellert.se/twain-sane/

Changed in sane-backends (Ubuntu):
status: New → Confirmed
McFly81 (christian-lange-81) wrote :

same loud cracking noise in Ubuntu 9.10 for me (Canon N650U)

Jackh (jnhollow) wrote :

Cracking noise for me in Ubuntu 9.10 with Lide 30. Scanning bar moves back and forth at the beginning location.

Luca Ferraro (lucaferraro76) wrote :

The reported problem still exist in Ubuntu 10.04 with my Canon LIDE 30. (sane-backends Version: 1.0.20-13ubuntu2)

It seems that the head of the scanner is blocked in the starting position, as if the engine push it in the wrong direction.
> uname -a
Linux alluminium 2.6.32-21-generic #32-Ubuntu SMP Fri Apr 16 08:09:38 UTC 2010 x86_64 GNU/Linux

> scanimage -L
device `plustek:libusb:005:003' is a Canon CanoScan N1240U/LiDE30 flatbed scanner

Ken Starnes (kstarnes) wrote :

I agree with Luca. I have a Lide 35 and SANE seems to think the scanner head is jammed but it works fine under Win XP

angus73 (andrea-vai) wrote :

The bug also affects me with Ubuntu 10.04 and CanoScan 650U

The bug disappeared for me with stock Ubuntu 10.10 and Lide 30.

ecanod (acmebike) wrote :

same problem with Maverick and Canon LIDE 50.

Sane-backends Version: 1.0.21-2ubuntu2

>scanimage -L
device `genesys:libusb:001:003' is a Canon LiDE 35/40/50 flatbed scanner

Not sure if related to everyone else ... I get the grinding sometimes with scanimage and everytime with scanimage -T when using an older usb cable ... I remembered that my N650U came with a translucent usb cable that I could see the shielding and had a magnetic filter on both ends. After installing the usb cable that came with the scanner I haven't had the grinding issue once ...

Wondering does the SANE version 1.0.15 use a slower usb mode ? or less aggresive settings that work with a usb cable that isn't properly shielded or rated for faster USB ?

Anyway that is my 2cents ... good luck

Ubuntu 10.10 64bit / libsane 1.0.21-2ubuntu2 / CanoScan N650U as device plustek:libusb:00x:00x / 04a9:2206 Chip=LM9832/3

Can confirm this problem to still exist in Ubuntu 11.04. The noise is terrifying but as I had my share of "scanner lockups" from Ubuntu 8.04 to 11.04 (sometimes it actually works, 50/50 chance) I can say that it never really broke the scanner.

Thats not saying that I wouldn't like to have this problem fixed after all those years. I may finally be able to dump my Windows partition once scanning is reliable, but this bug keeps me from doing so. Just in case this gives someone out there some extra motivation... ;)

Confirm this on Kubuntu 11.10.

Tried to set usb autosuspend as per https://bugs.launchpad.net/ubuntu/+source/sane-backends/+bug/85488/comments/459
But no luck.

lsusb and sane-find-scanner seem to find the scanner, and sometimes scanimage -L succeeds too.

$ sane-find-scanner
[...]
found USB scanner (vendor=0x04a9 [Canon], product=0x220e [CanoScan], chip=LM9832/3) at libusb:005:003
[...]

$ scanimage -L
device `plustek:libusb:005:003' is a Canon CanoScan N1240U/LiDE30 flatbed scanner

$ scanimage
scanimage: no SANE devices found

$ uname -a
Linux linus 3.0.0-16-generic #29-Ubuntu SMP Tue Feb 14 12:49:42 UTC 2012 i686 i686 i386 GNU/Linux

$ lsusb
Bus 005 Device 003: ID 04a9:220e Canon, Inc. CanoScan N1240U/LiDE 30

Andrew (andrewkk) wrote :

Yikes. That was a terrible, terrible sound that no scanner should ever make.

It appears that libsane 1.0.15 is no longer available in Ubuntu or Debian's repositories. Are there any other known workarounds?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.